Index: npl/mailserver/kopano_conf/kopano_conf.build
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.build	(revision a2d969e7ad0485dba4b6e18761e3d62cb5e85588)
+++ npl/mailserver/kopano_conf/kopano_conf.build	(revision 4d919bf21dc8dd6e1d95bcb6cb4f61fd642f22f7)
@@ -1,1 +1,1 @@
-19
+20
Index: npl/mailserver/kopano_conf/kopano_conf.md5
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.md5	(revision a2d969e7ad0485dba4b6e18761e3d62cb5e85588)
+++ npl/mailserver/kopano_conf/kopano_conf.md5	(revision 4d919bf21dc8dd6e1d95bcb6cb4f61fd642f22f7)
@@ -3,7 +3,7 @@
 fd5fac3dcb59c74d9fc0994316749cf2  ./example-config/apparmor.d/usr.sbin.kopano-server
 ce5eb45e78a986fae32ebbdcbb1b844c  ./example-config/ldap.cfg
-2dd1676443a03997c8fab6608ae032f5  ./kopano_conf.pkg
+283afdad741b14e2c362e1be21a87856  ./kopano_conf.pkg
 1f5f7d6f71d47c726d70daff8100c56f  ./kopano_conf.SlackBuild
-0daf718be28a2323996c28b670ca8a93  ./kopano_conf.SlackBuild.log.gz
+9eb423814af14b4c1fbbd1e950c7ba1c  ./kopano_conf.SlackBuild.log.gz
 77e930e82d6aa224be14072dcc719ab8  ./root/etc/cron.weekly/kopano_clean
 c649bfb26c88c35ed95fcfec3fe6df9a  ./root/etc/kopano/archiver.cfg
@@ -11,4 +11,5 @@
 d5b3a58e38d2d3971c4d68e7de3a5004  ./root/etc/kopano/backup.cfg
 17e1514fc431e3f6dacd30d215b013ec  ./root/etc/kopano/dagent.cfg
+9c4545269155c1994f3a0b4939cdd915  ./root/etc/kopano/dspam.cfg
 125db7f424586e70c806e00400e9f1f4  ./root/etc/kopano/gateway.cfg
 a22505c1c8bb4384eb8c17d2e2c8d419  ./root/etc/kopano/ical.cfg
Index: npl/mailserver/kopano_conf/root/etc/kopano/dspam.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/dspam.cfg	(revision 4d919bf21dc8dd6e1d95bcb6cb4f61fd642f22f7)
+++ npl/mailserver/kopano_conf/root/etc/kopano/dspam.cfg	(revision 4d919bf21dc8dd6e1d95bcb6cb4f61fd642f22f7)
@@ -0,0 +1,70 @@
+##############################################################
+# dspam SERVICE SETTINGS
+
+# Path to store database with retrain-data and server-sync-state
+dspam_path          = /var/lib/kopano/dspam/
+
+# run as specific user
+run_as_user         = kopano
+
+# run as specific group
+run_as_group        = kopano
+
+
+# run server in this path (when not using the -F switch)
+running_path        =   /
+
+
+##############################################################
+# CONNECTION TO KOPANO SERVER SETTINGS
+#
+
+# Login to the Kopano server using this SSL Key
+#sslkey_file         = /etc/kopano/ssl/search.pem
+
+# The password of the SSL Key
+#sslkey_pass         = replace-with-server-cert-password
+
+##############################################################
+# LOG SETTINGS
+
+# Logging method (syslog, file)
+log_method          =   file
+
+# Loglevel (0=no logging, 5=full logging, 6=debugging)
+log_level           =   6
+
+# Logfile for log_method = file, use '-' for stderr
+log_file            =   /var/log/kopano/dspam.log
+
+# Log timestamp - prefix each log line with timestamp in 'file' logging mode
+log_timestamp       =   1
+
+
+##############################################################
+# SPAM FILTER SPECIFIC SETTINGS
+
+# This example is for dspam, the way its configured on a Datux SYN-3 server.
+# Requires a patched dspam version.
+
+# Header and header-value that classify a mail as spam.
+header_result       = X-DSPAM-Result
+header_result_spam  = Spam
+
+# Header that stores the original recipient/user of the mail. (some filters require this when retraining a mail)
+header_user         = X-DSPAM-Recipient
+
+# Header that stores the unique id thats required to retrain a message.
+header_id           = X-DSPAM-Signature
+
+# Actual script that is called to do the retraining.
+# Parameters:
+#  $1: spam-filter user
+#  $2: spam-filter message id or token
+#  $3: retrain classification: 'spam' or 'innocent'
+#  $4: when a previous training should be undone, this has the value 'undo' (e.g. when the user moves a message user back to the previous folder again)
+#      most filters dont support this, and you will probably just retrain the data again.
+retrain_script      = /etc/kopano/userscripts/kopano-dspam-retrain
+
+# Filter out dangerous characters from the parameters before calling the shell script:
+shell_filter_regex  = [^a-zA-Z0-9_,.-]
